Athena
Catalogs

List registered S3 catalogs

Returns Athena-managed S3 connection catalogs stored in the Athena client database selected by `X-Athena-Client`.

GET
/storage/catalogs

Header Parameters

apikey*string

The static admin key configured as ATHENA_KEY_12. Authorization headers (Bearer <key>), X-API-Key, X-Athena-Key, or ?api_key= are also accepted.

X-Athena-Client*string

Logical Athena client whose database stores the S3 catalog rows.

Response Body

application/json

curl -X GET "https://athena-cluster.com/storage/catalogs" \  -H "apikey: string" \  -H "X-Athena-Client: string"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "description": "string",
      "endpoint": "string",
      "region": "string",
      "bucket": "string",
      "provider": "string",
      "is_active": true,
      "active_credential_id": "156a45a2-54ac-4af6-b392-24a7c0423746",
      "active_access_key": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}
Empty
Empty
Empty